Subject: bug#76190: 31.0.50; Setting frame parameter 'left (- -N) broken

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Feb 2025 14:50:24 +0200

> Date: Tue, 11 Feb 2025 03:05:15 +0100
> From:  Michael Heerdegen via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> according to (info "(elisp) Position Parameters"),
> 
>   (set-frame-parameter nil 'left '(- -100))
> 
> should move the selected frame to the right so a small part (100 pixels)
> is moved outside of the current screen, and the rest is visible on the
> right side.  However, for me the effect is exactly the same as with
> (set-frame-parameter nil 'left +100).  A totally different result!  I'm
> quite sure that this worked for me as described a while ago.  Something
> has changed.  I did not change my system setup AFAICT, still Openbox on
> X, same monitor setup, same Notebook, same OS.
> 
> Other values do work as described.  In particular do (+ -N) and
> (+ +N) work as described (the latter case is similar to the broken one
> but works for me).
> 
> Can others reproduce this?

I can't (on MS-Windows): the original example works for me as you
expected.

Maybe this is a problem with the non-toolkit build or something?

Po Lu and Martin, can you help?